//
//  WP_WallpaperCollectionCell.swift
//  WallpaperHD_Live
//
//  Created by 忆海16 on 2024/7/22.
//

import UIKit
import SDWebImage

class WP_WallpaperCollectionCell: UICollectionViewCell {

    @IBOutlet weak var wpImagV: UIImageView!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.wpImagV.layer.cornerRadius = 10
        self.wpImagV.clipsToBounds = true
    }
    var model:WP_4KModel?{
        didSet{
            if let imageURL = URL(string: model!.thumbnail ?? "") {
//                wpImagV.sd_setImage(with: imageURL, completed: nil)
                wpImagV.sd_setImage(with: imageURL, placeholderImage: UIImage(named: "Rectangle"))
                }
            
        }
    }
}
